<?xml version="1.0" encoding="utf-8"?>
<packages>
    <default-grant-permissions package="com.coloros.backuprestore">
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.CAMERA"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.android.contacts">
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.READ_CALL_LOG"/>
        <permission name="android.permission.WRITE_CONTACTS"/>
        <permission name="android.permission.WRITE_CALL_LOG"/>
        <permission name="android.permission.GET_ACCOUNTS"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.CALL_PHONE"/>
        <permission name="android.permission.CAMERA"/>
        <permission name="android.permission.SEND_SMS"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.android.mms">
        <permission name="android.permission.CALL_PHONE"/>
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.WRITE_CONTACTS"/>
        <permission name="android.permission.RECEIVE_SMS"/>
        <permission name="android.permission.RECEIVE_MMS"/>
        <permission name="android.permission.SEND_SMS"/>
        <permission name="android.permission.READ_SMS"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.RECEIVE_WAP_PUSH"/>
        <permission name="android.permission.RECORD_AUDIO"/>
        <permission name="android.permission.READ_CALL_LOG"/>
        <permission name="android.permission.WRITE_CALL_LOG"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.calendar">
        <permission name="android.permission.GET_ACCOUNTS"/>
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.READ_CALENDAR"/>
        <permission name="android.permission.WRITE_CALENDAR"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.oppo.camera">
        <permission name="android.permission.CAMERA"/>
        <permission name="android.permission.RECORD_AUDIO"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.alarmclock">
        <permission name="org.codeaurora.permission.POWER_OFF_ALARM"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.oppo.music">
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.phonemanager" sys_shared_or_persistent="true">
    </default-grant-permissions>

    <default-grant-permissions package="com.android.settings" sys_shared_or_persistent="true">
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.filemanager" >
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.gallery3d" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.assistantscreen" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.READ_SMS"/>
        <permission name="android.permission.ACCESS_COARSE_LOCATION"/>
        <permission name="android.permission.ACCESS_BACKGROUND_LOCATION"/>
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.CALL_PHONE"/>
        <permission name="android.permission.READ_CALENDAR"/>
        <permission name="android.permission.ACTIVITY_RECOGNITION"/>
        <permission name="android.permission.ACCESS_FINE_LOCATION"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.encryption" >
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.market" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.cloud" >
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.ACCESS_MEDIA_LOCATION"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.pictorial" >
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.ACCESS_MEDIA_LOCATION"/>
        <permission name="android.permission.CAMERA"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.pictorial" >
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.usercenter" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.RECEIVE_SMS"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.oppo.usercenter" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.RECEIVE_SMS"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.themestore" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.finshell.wallet" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.oppo.oms" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.htms" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.browser" >
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.quicksearchbox" >
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.READ_SMS"/>
        <permission name="android.permission.READ_CALENDAR"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.ACCESS_FINE_LOCATION"/>
        <permission name="android.permission.ACCESS_COARSE_LOCATION"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.heytap.speechassist" >
        <permission name="android.permission.RECORD_AUDIO"/>
        <permission name="android.permission.READ_SMS"/>
        <permission name="android.permission.SEND_SMS"/>
        <permission name="android.permission.RECEIVE_SMS"/>
        <permission name="android.permission.READ_CALENDAR"/>
        <permission name="android.permission.WRITE_CALENDAR"/>
        <permission name="android.permission.WRITE_CONTACTS"/>
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.CALL_PHONE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.ACCESS_FINE_LOCATION"/>
        <permission name="android.permission.ACCESS_COARSE_LOCATION"/>
        <permission name="android.permission.READ_CALL_LOG"/>
        <permission name="android.permission.WRITE_CALL_LOG"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.nearme.instant.platform" >
        <permission name="android.permission.RECORD_AUDIO"/>
        <permission name="android.permission.READ_SMS"/>
        <permission name="android.permission.SEND_SMS"/>
        <permission name="android.permission.RECEIVE_SMS"/>
        <permission name="android.permission.READ_CALENDAR"/>
        <permission name="android.permission.WRITE_CALENDAR"/>/
        <permission name="android.permission.READ_CONTACTS"/>
        <permission name="android.permission.CAMERA"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.READ_EXTERNAL_STORAGE"/>
        <permission name="android.permission.WRITE_EXTERNAL_STORAGE"/>
        <permission name="android.permission.ACCESS_FINE_LOCATION"/>
        <permission name="android.permission.ACCESS_COARSE_LOCATION"/>
    </default-grant-permissions>

    <default-grant-permissions package="com.coloros.weather.service" >
        <permission name="android.permission.ACCESS_COARSE_LOCATION" />
        <permission name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    </default-grant-permissions>

    <default-grant-permissions package="com.baidu.input_oppo" >
    </default-grant-permissions>

    <default-grant-permissions package="com.sohu.inputmethod.sogouoem" >
    </default-grant-permissions>

    <default-grant-permissions package="com.iflytek.inputmethod.oppo" >
    </default-grant-permissions>

    <default-grant-permissions package="com.oplus.ditoautoregist" >
        <permission name="android.permission.READ_SMS"/>
        <permission name="android.permission.SEND_SMS"/>
        <permission name="android.permission.RECEIVE_SMS"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
    </default-grant-permissions>
</packages>